package com.fjhx.xmhjc.service.carousel;

import com.fjhx.xmhjc.entity.carousel.po.CarouselManager;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.carousel.vo.CarouselManagerVo;
import com.fjhx.xmhjc.entity.carousel.dto.CarouselManagerSelectDto;
import com.fjhx.xmhjc.entity.carousel.dto.CarouselManagerDto;

import java.util.List;

/**
 * <p>
 * 轮播图管理 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-19
 */
public interface CarouselManagerService extends BaseService<CarouselManager> {

    /**
     * 轮播图管理列表
     */
    List<CarouselManagerVo> getList(CarouselManagerSelectDto dto);

    /**
     * 轮播图管理分页
     */
    Page<CarouselManagerVo> getPage(CarouselManagerSelectDto dto);

    /**
     * 轮播图管理明细
     */
    CarouselManagerVo detail(Long id);

    /**
     * 轮播图管理新增
     */
    void add(CarouselManagerDto carouselManagerDto);

    /**
     * 轮播图管理编辑
     */
    void edit(CarouselManagerDto carouselManagerDto);

    /**
     * 轮播图管理删除
     */
    void delete(Long id);

    Page<CarouselManagerVo> pageByOpen(CarouselManagerSelectDto dto);

    void checkDelete(Long id);
}
