package com.fjhx.xmhjc.service.topic;

import com.fjhx.xmhjc.entity.column.dto.ColumnArticleDto;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.fjhx.xmhjc.entity.topic.po.TopicContent;
import com.fjhx.xmhjc.entity.website.po.WebsiteUsers;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.vo.TopicContentVo;
import com.fjhx.xmhjc.entity.topic.dto.TopicContentSelectDto;
import com.fjhx.xmhjc.entity.topic.dto.TopicContentDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 内容主题 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
public interface TopicContentService extends BaseService<TopicContent> {

    /**
     * 内容主题列表
     */
    List<TopicContentVo> getList(TopicContentSelectDto dto);

    /**
     * 内容主题分页
     */
    Page<TopicContentVo> getPage(TopicContentSelectDto dto);

    /**
     * 内容主题明细
     */
    TopicContentVo detail(Long id);

    /**
     * 内容主题新增
     */
    void add(TopicContentDto topicContentDto);

    /**
     * 内容主题编辑
     */
    void edit(TopicContentDto topicContentDto);

    /**
     * 内容主题删除
     */
    void delete(Long id);

    Page<TopicContentVo> contentPage(TopicContentSelectDto dto, String sortType);

    void extracted(ColumnArticleDto columnArticleDto);
}
